/*	MAP message interface head file		*/
/*	Written by Liu Zhiguo 2003-08-26	*/
/*	Version 1.0							*/
/*	--------------------------------	*/

#ifndef _MAP_INTERFACE
#define _MAP_INTERFACE

#include "../../../sccp/src/include/sccp.h"
#include "map_const.h"
#include "map_struct.h"

int	build_mapparam(struct MapOprSrv_struct *opr_ptr,u8 *buf);
u8 extract_mapparam(struct MapOprSrv_struct *opr_ptr,u8 opr_code,u8 opr_flag,u32 pre_param_len,u8 *pre_param);

int	build_is41param(struct MapOprSrv_struct *opr_ptr,u8 *buf); // build is41 service paramter
u8 extract_is41param(struct MapOprSrv_struct *opr_ptr,u8 opr_code,u8 opr_flag,u32 pre_param_len,u8 *pre_param);

void is41_init();
void is41_timer();

#endif
